You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@aries.apache.org by ro...@apache.org on 2021/04/07 15:34:08 UTC

[aries-component-dsl] 02/05: changelog

This is an automated email from the ASF dual-hosted git repository.

rotty3000 pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/aries-component-dsl.git

commit f386277dbe6e7a9c500c162c210b6c978570da05
Author: Raymond Augé <ra...@liferay.com>
AuthorDate: Wed Apr 7 10:06:01 2021 -0400

    changelog
---
 .mailmap     |   3 +
 changelog.md | 206 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 changelog.sh | 105 ++++++++++++++++++++++++++++++
 3 files changed, 314 insertions(+)

diff --git a/.mailmap b/.mailmap
new file mode 100644
index 0000000..0cc3f41
--- /dev/null
+++ b/.mailmap
@@ -0,0 +1,3 @@
+Carlos Sierra Andrés <cs...@gmail.com> <ca...@liferay.com>
+Raymond Augé <ro...@apache.org> <ra...@liferay.com>
+Raymond Augé <ro...@apache.org> <ro...@apache.org>
\ No newline at end of file
diff --git a/changelog.md b/changelog.md
new file mode 100644
index 0000000..6c6b841
--- /dev/null
+++ b/changelog.md
@@ -0,0 +1,206 @@
+## org.apache.aries.component-dsl.parent-1.2.2
+Carlos Sierra Andrés (153):
+  - Initial component-dsl commit [1aac90f]
+  - Use released bnd-maven-plugin version [e1ae411]
+  - Added tests for buildFilterString and add filter only methods [9415dfc]
+  - Classes refactoring and proper type bounds [f2f3e2e]
+  - Move to a submodule [9f56cd7]
+  - new test modules [fd7c137]
+  - Parent pom [a24dde0]
+  - Update to use parent [9c1b157]
+  - Fix wrong null handling [3d32178]
+  - Make OSGiResult AutoCloseable [ef721eb]
+  - More tests [cee5c5f]
+  - Mark as @safeVarArgs [dc42525]
+  - foreach can't be implemented in terms of map [04d0c1a]
+  - Add test to show programmatic dependencies [c17e9b9]
+  - New route primitive to allow more complex implementations [e6453e9]
+  - Source formatting [d6f4ed1]
+  - Test implementation with highest service ranking [8d627f2]
+  - Symetrically signal object deregistration [49b57fb]
+  - Test definition of component-like "programs" [ae8927f]
+  - Correct implementation of distribute [2977c2f]
+  - First attempt to implement Applicative [29565d1]
+  - Suuport the varied ways of register services in OSGi [0c0927f]
+  - Simplify distribute into all [99625dd]
+  - Fix license headers [064fa83]
+  - Fix generic flatMap [1ba2018]
+  - Use release instead of snapshots [308b3d5]
+  - Check for initialization [5b880af]
+  - Close all results even if one fails [974f71d]
+  - Return a Tuple of null instead of a null Tuple [a782892]
+  - Source formatting [c32e22e]
+  - Looks like `all` should combine the results [3da7804]
+  - Optimize flatMap to use ServiceTracker [9785a43]
+  - Abstract flatMap and implement it thread safe [5159b61]
+  - Allow just to be lazy [6c05ace]
+  - Naive join implementation [8a2014f]
+  - Refactor and get Modified to work [073b0dd]
+  - [Component-DSL] Source cleaning [abb9669]
+  - [Component-DSL] Refactor tuples [a33d1ff]
+  - [Component-DSL] Reimplement in terms of service references [d74b9f0]
+  - [Component-DSL] Extract route to a different class [3c4cd58]
+  - [Component-DSL] allow just to generate several values [62f6fa9]
+  - [Component-DSL] Add Synchronized DoublyLinkedList [da47f31]
+  - [Component-DSL] Add related tuples [7f54dae]
+  - [Component-DSL] Reimplement Applicative [c546e61]
+  - [Component-DSL] Add closed status to the tuple [909b771]
+  - [Component-DSL] Reimplement router [c0a8345]
+  - [Component-DSL] Source cleaning [bf8e1f6]
+  - [Component-DSL] Take closed into account [39ecac6]
+  - [Component-DSL] refactor to remove Pipe [33e30d5]
+  - [Component-DSL] Eliminate mutable setter [d886a59]
+  - [Component-DSL] Tuple refactoring [8fd05a2]
+  - [Component-DSL] Remove SentEvent from Tuple [961c017]
+  - [Component-DSL] Adding Probe for tests [68e426e]
+  - [Component-DSL] Add Doug Lea's doubly linked list impl [c2bc4d9]
+  - [Component-DSL] lock free doubly linked list [47d5b0c]
+  - [Component-DSL] Add atomic guards [35c8c23]
+  - [Component-DSL] Reimplement foreach with effects [b52909b]
+  - [Component-DSL] Add concurrency tests [507a85d]
+  - [Component-DSL] Remove unnecessary mutable Tuple [cd4ff48]
+  - [Component-DSL] Change `apply` for `combine` [f7c7b13]
+  - [Component-DSL] As a default ignore modify [1be5b17]
+  - [Component-DSL] Concurrency fixes [1cf9272]
+  - [Component-DSL] No need no check for nulls [b815f8d]
+  - [Component-DSL] Minor source formating [e61465c]
+  - [Component-DSL] Update misleading name [f8f5865]
+  - [Component-DSL] Optimize filter implementation [b39647f]
+  - [Component-DSL] add `once` operation [75da946]
+  - [Component-DSL] Add CachingServiceReference [b0eea34]
+  - [Component-DSL] replaceAll does not allow nulls [13cd064]
+  - [Component-DSL] print stack traces to ease debugging [f04c594]
+  - [Component-DSL] Add refresher interface [9628fb0]
+  - [Component-DSL] Add toString() to CachingServiceReference [f3418b8]
+  - [Component-DSL] Error handling [106ead1]
+  - [Component-DSL] Replace router with transformer [c39c0b0]
+  - [Component-DSL] Add new branching primitives [bd3db02]
+  - [Component-DSL] Implement _highest_ as a primitive [a5b4c1b]
+  - [Component-DSL] Refactor and source formatting [f2b6550]
+  - [Component-DSL] Add effects only producer [534cc7a]
+  - [Component-DSL] Register accepts Supplier [544e88f]
+  - [Component-DSL] Do not capture exceptions [30d9361]
+  - [Component-DSL] Add lifecycle to Publisher [35e1918]
+  - [Component-DSL] Merge all produced elements by default [06a48ed]
+  - [Component-DSL] Source cleaning [08dde34]
+  - [Component-DSL] Make sure resource is not left in working state [6ca4ad9]
+  - [Component-DSL] Implement accumulations using onlyLast [a084613]
+  - [Component-DSL] Tests for accumulations [51cad71]
+  - [Component-DSL] Don't use eager expressions in splitBy [5ecb797]
+  - [Component-DSL] Fix only last publisher [29118f1]
+  - [Component-DSL] Added Effect type [a8986a6]
+  - [Component-DSL] needs a counter to work properly [7909ae6]
+  - [Component-DSL] No need for lifecycle in Publisher [0438737]
+  - [Component-DSL] Retract values in inverse order [c0a65e7]
+  - [Component-DSL] Sent notHighest after highest [64d7e66]
+  - [Component-DSL] cleanup [8e76d8d]
+  - [Component-DSL] Better use explicit comparison [94e5807]
+  - [Component-DSL] Improve toString method [d0e7c30]
+  - [Component-DSL] Javadoc cleanup [6061cfe]
+  - [Component-DSL] Refactor to eliminate OSGiOperationimpl [9b46a28]
+  - [Component-DSL] Refactor [202a658]
+  - [Component-DSL] Support up to arity 26 [0e02d8a]
+  - Remove redundant OSGiOperation [3bcb631]
+  - Do not return impl type [fc454d3]
+  - Make Publisher return OSGiResult to unify [fbebd5c]
+  - Simplify [0599a46]
+  - Change to OSGiRunnable [5c3e80a]
+  - Abstract out to OSGiFactory [df45970]
+  - Move to default methods [cf6b934]
+  - Cleanup [2d2ac74]
+  - Allow lazy predicates [9f52eef]
+  - [Component-DSL] match packages with bundle name [f0d832c]
+  - [Component-DSL] Cleanup [9f6f6ec]
+  - [Component-DSL] Missing license headers [7d48c2c]
+  - [Component-DSL] RAT [db04880]
+  - [Component-DSL] Prepare release [33152b8]
+  - Prepare release [94f8601]
+  - [Component-DSL] Use full component name [64dfa5c]
+  - [Component-DSL] Update SCM [ec54fc6]
+  - [Component-DSL] Prepare release 1.0.0 [1d01c74]
+  - [Component-DSL] Include personal.bnd file [7e7f66f]
+  - [Component-DSL] Improve ProbleImpl [0019d52]
+  - [Component-DSL] Add coalesce function [89c5d1c]
+  - [Component-DSL] Rearrange source [3ed2473]
+  - [Component-DSL] Add baseline support [6b382e1]
+  - [Component-DSL] Use latest bnd [9a80aa0]
+  - [Component-DSL] Bump modules version to 1.1.0 [5282648]
+  - [Component-DSL] Get initial configuration state [0b5afd6]
+  - [Component-DSL] Support update hints [5706e8f]
+  - [Component-DSL] Clean source [49502cf]
+  - [Component-DSL] Add methods to get services from references [b9b85a6]
+  - [Component-DSL] Better support for nested calls [e7e490f]
+  - [ARIES-1811] Always execute onRemoving action [0cd1f0d]
+  - [ARIES-1810] Deprecate onClose [d652192]
+  - [ARIES-1812] Add update support to once [744736a]
+  - [ARIES-1813] Add effects execution places [c76e88e]
+  - [Component-DSL] Bump version [f3d27da]
+  - [Component-DSL] Bump version [2324847]
+  - [Componen-DSL] Fix baseline version [1b6e7bb]
+  - [Component-DSL] missing synchronized [e325ba4]
+  - Add some documentation [b3fcce5]
+  - [Component-DSL] Fix NPE [785fc95]
+  - [Component-DSL] Code cleanup [e7f84b4]
+  - [Component-DSL] Prepare for release [708ce6b]
+  - Add .gitignore [96a9fc0]
+  - Update SCM information [74728e2]
+  - [ARIES-1922] Fix effect handling [866bafa]
+  - [ARIES-1926] UpdateSupport should not reorder effects [a86ab9c]
+  - [ARIES-1930] Consistent error handling [d4a8df9]
+  - [ARIES-1930] Consistent error handling [0e67873]
+  - [ARIES-1930] This should not be execute now [5bd2383]
+  - [ARIES-1930] Consistent error handling [452e4d4]
+  - Source format [e85a373]
+  - Source formatting [936df2f]
+  - Resolver changes [6887995]
+
+Raymond Augé (8):
+  - ARIES-1799 [component-dsl] When registering a service from a Supplier<T> an exception occurs [7d704fe]
+  - fix duplicate scm tag [685accc]
+  - more build cleanup [f053ac5]
+  - add badges [0d42340]
+  - use bundles from MC and correct versions [51aa797]
+  - fix test failures [94a041a]
+  - add deploy profile [345c71e]
+  - modernize project configuration [b089e87]
+
+## org.apache.aries.component-dsl.parent-1.2.1
+Carlos Sierra Andrés (5):
+  - [Component-DSL] missing synchronized [0295b37]
+  - Add some documentation [bbc508c]
+  - [Component-DSL] Fix NPE [b9a1b59]
+  - [Component-DSL] Code cleanup [a9d7c2b]
+  - [Component-DSL] Prepare for release [7d3e3b4]
+
+## org.apache.aries.component-dsl.parent-1.2.0
+Carlos Sierra Andrés (7):
+  - [ARIES-1811] Always execute onRemoving action [7613c8a]
+  - [ARIES-1810] Deprecate onClose [dfad657]
+  - [ARIES-1812] Add update support to once [8c0dddc]
+  - [ARIES-1813] Add effects execution places [0a0aba1]
+  - [Component-DSL] Bump version [5d641f0]
+  - [Component-DSL] Bump version [9e8dfb2]
+  - [Componen-DSL] Fix baseline version [e52afa6]
+
+## org.apache.aries.component-dsl.parent-1.1.0
+Carlos Sierra Andrés (12):
+  - [Component-DSL] Include personal.bnd file [cba7967]
+  - [Component-DSL] Improve ProbleImpl [4ac3f9c]
+  - [Component-DSL] Add coalesce function [2d3eb01]
+  - [Component-DSL] Rearrange source [d64c641]
+  - [Component-DSL] Add baseline support [71dee33]
+  - [Component-DSL] Use latest bnd [656da97]
+  - [Component-DSL] Bump modules version to 1.1.0 [3edd16d]
+  - [Component-DSL] Get initial configuration state [d98b244]
+  - [Component-DSL] Support update hints [57dd372]
+  - [Component-DSL] Clean source [9586cf6]
+  - [Component-DSL] Add methods to get services from references [f7027ee]
+  - [Component-DSL] Better support for nested calls [e8b2821]
+
+Raymond Augé (1):
+  - ARIES-1799 [component-dsl] When registering a service from a Supplier<T> an exception occurs [1d862ba]
+
+## org.apache.aries.component-dsl.parent-1.0.0
+Carlos Sierra Andrés (1):
+  - [Component-DSL] Prepare release 1.0.0 [08fb613]
+
diff --git a/changelog.sh b/changelog.sh
new file mode 100755
index 0000000..12c5743
--- /dev/null
+++ b/changelog.sh
@@ -0,0 +1,105 @@
+#!/bin/bash
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+
+#     http://www.apache.org/licenses/LICENSE-2.0
+
+#  Unless required by applicable law or agreed to in writing,
+#  software distributed under the License is distributed on an
+#  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+#  specific language governing permissions and limitations
+#  under the License.
+
+###############################################################################
+# In most cases just execute ./changelog.sh should suffice.
+#
+# To tune commiter names/remove dups, adjust the .mailmap file
+# (see https://git-scm.com/docs/gitmailmap)
+###############################################################################
+
+TAG_SEARCH=
+WORK_DIR=.
+CHANGELOG=${WORK_DIR}/changelog.md
+
+###############################################################################
+############# Do not edit below ###############################################
+###############################################################################
+
+# collect all the tags that match our pattern and reverse the order
+ALL_TAGS=( $(git tag -l $TAG_SEARCH | xargs -n 1 | tac) )
+PREVIOUS_TAG="${ALL_TAGS[0]}"
+TAGS=${ALL_TAGS[@]:1}
+
+if [ -f $CHANGELOG ]; then
+    UPDATE=$PREVIOUS_TAG
+fi
+
+while (( "$#" )); do
+	case "$1" in
+		-u|--update-changelog)
+			if [ -n "$2" ] && [ ${2:0:1} != "-" ]; then
+				UPDATE=$2
+				shift 2
+			else
+				echo "Error: Tag for $1 is missing" >&2
+				exit 1
+			fi
+			;;
+		-*|--*=) # unsupported flags
+			echo "Error: Unsupported flag $1" >&2
+			exit 1
+			;;
+		*) # preserve positional arguments
+			shift
+			;;
+	esac
+done
+
+if [ -v UPDATE ]; then
+	printf "Updating $CHANGELOG\n"
+	# update the file if asked (appends to head of file)
+
+	# read the first tag in the existing changelog
+	line=$(head -n 1 $CHANGELOG)
+	TAGS=("${line#\#\# }")
+
+	# set the previous tag to the passed argument
+	PREVIOUS_TAG=$UPDATE
+	printf "Collecting changes from $TAGS to $PREVIOUS_TAG\n"
+
+	# swap the changelog for a temp file
+	ORIGINAL_FILE=$CHANGELOG
+	CHANGELOG="$CHANGELOG.tmp"
+else
+	printf "Creating $CHANGELOG\n"
+fi
+
+# create the file if it doesn't exist
+printf "" > $CHANGELOG
+
+# write the changelog
+for tag in $TAGS; do
+	RESULT=$(git --no-pager shortlog --no-merges --grep 'maven-release-plugin' --invert-grep --format="- %s [%h]" -w0,2 -nc $tag..$PREVIOUS_TAG $WORK_DIR)
+
+	if [[ ! -z "${RESULT// }" ]]; then
+			echo "## $PREVIOUS_TAG" >> $CHANGELOG
+			echo "$RESULT" >> $CHANGELOG
+			echo "" >> $CHANGELOG
+	fi
+
+	PREVIOUS_TAG=$tag
+done
+
+if [ -v UPDATE ]; then
+	# append the changelog to the end of temp
+	cat $ORIGINAL_FILE >> $CHANGELOG
+
+	# move the changelog temp over the changelog
+	mv -f $CHANGELOG $ORIGINAL_FILE
+fi